Index: /BAORadio/AmasNancay/trunk/analysis-scriptsAndprg-description.txt
===================================================================
--- /BAORadio/AmasNancay/trunk/analysis-scriptsAndprg-description.txt	(revision 572)
+++ /BAORadio/AmasNancay/trunk/analysis-scriptsAndprg-description.txt	(revision 573)
@@ -1,4 +1,4 @@
 Title: Status of the programs and scripts used for Amas@Nancay analysis at CCIN2P3
-Revision: 14/9/11
+Revision: 11/10/11 (JEC)
 Author: J.E Campagne 22/7/11
 ----------------------------
@@ -72,5 +72,4 @@
 --------------------------------
         - SHOULD BE DONE BEFORE gain/calib/analysis
-	- send statusdaq if necessary
 	- send the scaextractor.sh script to BQS system
 		although this script is called by getscafiles lower level script
@@ -78,28 +77,55 @@
 		- TO MIGRATE TO NEW BATCH 
 
-o submit2qs-gainmaker.sh
+o submit2bqs-procspecmfib.sh
+-----------------------------
+	- SHOULD BE DONE for processing signals for FFT/paquet median filtering
+	- GAIN/CALIB/ON, OFF... 
+	- prepare and send in batch the proc_specmfib.sh to BQS
+	- exemple
+	- Todo list
+		- TO MIGRATE TO NEW BATCH 
+
+o submit2bqs-anagainmaker.sh
+----------------------------
+	- done after proc_specmfib
+	- prepare and send the analyse.cc prg for gain computation
+	- exemple
+	- Todo list
+		- TO MIGRATE TO NEW BATCH 
+
+o submit2bqs-anacalibmaker.sh
+----------------------------
+	- done after proc_specmfib
+	- prepare and send the analyse.cc prg for calibration computation
+	- exemples: 
+	> $./submit2bqs-anacalibmaker.sh -src Abell85 -date 20110410
+
+	
+	- Todo list
+		- TO MIGRATE TO NEW BATCH 
+	
+o submit2qs-onoffmaker.sh (OBSOLETE ???)
+--------------------------
+	- send the onoffmaker.sh script to BQS system
+	- Todo list
+		- TO MIGRATE TO NEW BATCH 
+
+o submit2bqs-rawonoffmaker.sh (OBSOLETE ???) 
+-----------------------------
+	- used after the anagainmaker 
+	- prepare and send in batch the proc_rawonoff.sh to BQS system
+	- exemple submit2bqs-rawonoffmaker.sh -src Abell85 -date 20110417 -fcycle 8 -lcycle 23 -type ON	
+	- Todo list
+		- TO MIGRATE TO NEW BATCH
+
+o submit2qs-gainmaker.sh (OBSOLETE)
 -------------------------
 	- send the gainmaker.sh script to BQS system 
 	- Todo list
 		- TO MIGRATE TO NEW BATCH
-	
-o submit2bqs-rawonoffmaker.sh
------------------------------
-	- used after the gainmaker 
-	- send statusdaq if necessary
-	- prepare and send in batch the proc_rawonoff.sh to BQS system
-	- exemple submit2bqs-rawonoffmaker.sh -src Abell85 -date 20110417 -fcycle 8 -lcycle 23 -type ON	
-	- Todo list
-		- TO MIGRATE TO NEW BATCH
-
-o submit2qs-calibmaker.sh
+
+o submit2qs-calibmaker.sh (OBSOLETE)
 --------------------------
 	- send the calibmaker.sh script to BQS system
-	- Todo list
-		- TO MIGRATE TO NEW BATCH 
-
-o submit2qs-onoffmaker.sh
---------------------------
-	- send the onoffmaker.sh script to BQS system
 	- Todo list
 		- TO MIGRATE TO NEW BATCH 
@@ -117,5 +143,25 @@
 		. statusdaq.sh	
 
-o gainmaker.sh
+o anagainmaker.sh
+-----------------
+	- perform 
+	  . the analysis of the above fits files to determine the 
+			gains of each channel: produce gain_* files (monitoring + gain files)
+	  . put the results into Irods
+	- use 
+		- getscafiles.sh
+		- analysis.cc	
+
+o anacalibmaker.sh
+------------------
+	- perfom
+	  . prepare the analysis of the above fits files
+	  . put calib_* files (monitoring +  calibration files) into Irods
+	- use 
+		- getscafiles.sh
+		- analysis.cc	
+
+
+o gainmaker.sh (OBOLETE)
 ---------------
 	- perform 
@@ -130,5 +176,5 @@
 		- analysis.cc	
 	
-o calibmaker.sh
+o calibmaker.sh (OBSOLETE)
 ---------------
 	- perfom
@@ -155,5 +201,17 @@
 ++++++++++++++++++++++
 
-o proc_rawonoff.sh
+o proc_specmfib.sh
+------------------
+	- perform all the preparation work to send in batch the "specmfib" 
+	  program which perform the FFT and median/mean spectra 
+	  for the GAIN/CALIB/ON-OFF... task
+	- use
+	  - getscafiles.sh, select.sh, statusdaq.sh, getsignalfiles.sh
+	- comments
+	  - this is the pre-processing of the data to be used before
+	    anaXYZ script which are post-processing
+
+
+o proc_rawonoff.sh (OBSOLETE)
 ------------------
 	- this is the script to use to perform the "datacycle" contents
@@ -165,5 +223,5 @@
 	  - contrary to proc_script (below) specmfib is activated in the same thread
 
-o proc_script.sh
+o proc_script.sh (OBSOLETE)
 -----------------
 	- VERY BUSY script