Index: /BAORadio/AmasNancay/trunk/anacalibmaker.sh
===================================================================
--- /BAORadio/AmasNancay/trunk/anacalibmaker.sh	(revision 575)
+++ /BAORadio/AmasNancay/trunk/anacalibmaker.sh	(revision 576)
@@ -296,5 +296,5 @@
 #WARNING: the EOF must start at 1st column overwise the rest of the script is part of the file cat...
   else
-      ${scriptpath}/Objs/analyse -act calib -inPath ${iojobpath}  -source  ${sourceRadio} -date ${dateDAQ} -sca ${scaFile} -specdir calibcycle  -numcycle ${firstCycle},${lastCycle} -calibopt mean  -debuglev 1 -freqBAOCalib ${freqBAOCalib} -bwBAOCalib ${bwBAOCalib} >& ${logFile}
+      ${scriptpath}/Objs/analyse -act calib -inPath ${iojobpath}  -source  ${sourceRadio} -date ${dateDAQ} -sca ${scaFile} -specdir calibcycle  -numcycle ${firstCycle},${lastCycle} -calibopt mean  -debug 1 -freqBAOCalib ${freqBAOCalib} -bwBAOCalib ${bwBAOCalib} >& ${logFile}
   fi
 #
Index: /BAORadio/AmasNancay/trunk/proc_script.sh
===================================================================
--- /BAORadio/AmasNancay/trunk/proc_script.sh	(revision 575)
+++ /BAORadio/AmasNancay/trunk/proc_script.sh	(revision 576)
@@ -500,5 +500,5 @@
 
 ##26/9/11 JEC use option -h to trig manualy the job on the queue...
-    qsub -h -l u_sps_baoradio,u_irods,T=${cpu},M=${virtualmem}MB,scratch=${scratchSize}MB,platform=LINUX -eo -o ${tmppublicpath}/${jobLogName} -N ${jobBatchName}  ${jobScriptName}
+    qsub -h -l u_sps_baoradio,u_irods,u_irods_baoradio,T=${cpu},M=${virtualmem}MB,scratch=${scratchSize}MB,platform=LINUX -eo -o ${tmppublicpath}/${jobLogName} -N ${jobBatchName}  ${jobScriptName}
 
 #    while [ ! -f "${tmppublicpath}/${jobBatchName}.finished" ]; do
Index: /BAORadio/AmasNancay/trunk/scaextractor.sh
===================================================================
--- /BAORadio/AmasNancay/trunk/scaextractor.sh	(revision 575)
+++ /BAORadio/AmasNancay/trunk/scaextractor.sh	(revision 576)
@@ -23,4 +23,7 @@
 #which source to analyse
 sourceRadio=$1
+
+#force recomputation force=Yes
+force=$2
 
 #Path to public backupable path
@@ -66,17 +69,4 @@
     $ECHO "FATAL (${scriptName}): ${OUT1} has a problem"
     exit 1
-#    $ECHO "We should bring the DAQ status more up to date, this take 1 or 2sec..."
-#    $RM -f ${tmppublicpath}/statusdaq.finished
-#    ${scriptpath}/statusdaq.sh > ${OUT1}
-#    while [ ! -f "${tmppublicpath}/statusdaq.finished" ]; do
-#	$ECHO "INFO (${scriptName}); waiting for ${tmppublicpath}/statusdaq.finished"
-#	date +%T
-#	sleep 30 
-#    done
-#    $RM ${tmppublicpath}/statusdaq.finished
-#    $ECHO "FATAL (${scriptName}): ${OUT1} is missing or not readable..."
-#JEC 29/9/11 avoid finished stuff
-#    touch ${tmppublicpath}/scaextractor.finished
-#    exit 1
 fi
 
@@ -104,5 +94,5 @@
   emptyfile=`$GREP -i "sca.*\.sum\.trans" ${OUT2} | $AWK '{print $4}'`
 #  echo "scrutinize directory <$i>: [$nblines] [$scatrans]" 
-  if [ "<${scatrans}>" = "<>" -o "<${emptyfile}>" = "<0>" ]; then
+  if [ "<${scatrans}>" = "<>" -o "<${emptyfile}>" = "<0>" -o "<${force}>" = "<Yes>" ]; then
       $ECHO "$i may be non prepared for analysis..."
       scafile=`$GREP -i "sca[0-9][0-9]*\.[0-9][0-9]*" ${OUT2} | $AWK '{print $NF}'`
Index: /BAORadio/AmasNancay/trunk/submit2bqs-anacalibmaker.sh
===================================================================
--- /BAORadio/AmasNancay/trunk/submit2bqs-anacalibmaker.sh	(revision 575)
+++ /BAORadio/AmasNancay/trunk/submit2bqs-anacalibmaker.sh	(revision 576)
@@ -41,5 +41,5 @@
 jobLogName="${jobBatchName}.log.$$"
 
-qsub -l u_sps_baoradio,u_irods,T=120000,M=1000MB,scratch=1000MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
+qsub -l u_sps_baoradio,u_irods,u_irods_baoradio,T=120000,M=1000MB,scratch=1000MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
 /afs/in2p3.fr/home/c/campagne/private/work/AmasNancay/anacalibmaker.sh  -src ${sourceRadio} ${dateSelected} ${freqBAOCalib} ${bwBAOCalib} ${simulationMode}
 EOF
Index: /BAORadio/AmasNancay/trunk/submit2bqs-anagainmaker.sh
===================================================================
--- /BAORadio/AmasNancay/trunk/submit2bqs-anagainmaker.sh	(revision 575)
+++ /BAORadio/AmasNancay/trunk/submit2bqs-anagainmaker.sh	(revision 576)
@@ -22,5 +22,5 @@
 jobLogName="${jobBatchName}.log.$$"
 
-qsub -l u_sps_baoradio,u_irods,T=120000,M=1000MB,scratch=500MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
+qsub -l u_sps_baoradio,u_irods,u_irods_baoradio,T=120000,M=1000MB,scratch=500MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
 /afs/in2p3.fr/home/c/campagne/private/work/AmasNancay/gainmaker.sh  -src ${sourceRadio} ${simulationMode}
 EOF
Index: /BAORadio/AmasNancay/trunk/submit2bqs-anarawonoffmaker.sh
===================================================================
--- /BAORadio/AmasNancay/trunk/submit2bqs-anarawonoffmaker.sh	(revision 575)
+++ /BAORadio/AmasNancay/trunk/submit2bqs-anarawonoffmaker.sh	(revision 576)
@@ -38,5 +38,5 @@
 jobLogName="${jobBatchName}.log.$$"
 
-qsub -l u_sps_baoradio,u_irods,T=120000,M=1000MB,scratch=1000MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
+qsub -l u_sps_baoradio,u_irods,u_irods_baoradio,T=120000,M=1000MB,scratch=1000MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
 /afs/in2p3.fr/home/c/campagne/private/work/AmasNancay/anarawonoffmaker.sh  -src ${sourceRadio} ${dateSelected} ${simulationMode}
 EOF
Index: /BAORadio/AmasNancay/trunk/submit2bqs-calibmaker.sh
===================================================================
--- /BAORadio/AmasNancay/trunk/submit2bqs-calibmaker.sh	(revision 575)
+++ /BAORadio/AmasNancay/trunk/submit2bqs-calibmaker.sh	(revision 576)
@@ -39,5 +39,5 @@
 jobLogName="${jobBatchName}.log.$$"
 
-qsub -l u_sps_baoradio,u_irods,T=120000,M=1000MB,scratch=1000MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
+qsub -l u_sps_baoradio,u_irods,u_irods_baoradio,T=120000,M=1000MB,scratch=1000MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
 /afs/in2p3.fr/home/c/campagne/private/work/AmasNancay/calibmaker.sh  -src ${sourceRadio} ${freqBAOCalib} ${bwBAOCalib} ${simulationMode}
 EOF
Index: /BAORadio/AmasNancay/trunk/submit2bqs-gainmaker.sh
===================================================================
--- /BAORadio/AmasNancay/trunk/submit2bqs-gainmaker.sh	(revision 575)
+++ /BAORadio/AmasNancay/trunk/submit2bqs-gainmaker.sh	(revision 576)
@@ -29,5 +29,5 @@
 jobLogName="${jobBatchName}.log.$$"
 
-qsub -l u_sps_baoradio,u_irods,T=120000,M=1000MB,scratch=500MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
+qsub -l u_sps_baoradio,u_irods,u_irods_baoradio,T=120000,M=1000MB,scratch=500MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
 /afs/in2p3.fr/home/c/campagne/private/work/AmasNancay/anagainmaker.sh  -src ${sourceRadio} ${dateSelected} ${simulationMode}
 EOF
Index: /BAORadio/AmasNancay/trunk/submit2bqs-hdrfitsextractor.sh
===================================================================
--- /BAORadio/AmasNancay/trunk/submit2bqs-hdrfitsextractor.sh	(revision 575)
+++ /BAORadio/AmasNancay/trunk/submit2bqs-hdrfitsextractor.sh	(revision 576)
@@ -19,5 +19,5 @@
 jobLogName="${jobBatchName}.log.$$"
 
-qsub -l u_sps_baoradio,u_irods,T=100000,M=256MB,scratch=700MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
+qsub -l u_sps_baoradio,u_irods,u_irods_baoradio,T=100000,M=256MB,scratch=700MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
 /afs/in2p3.fr/home/c/campagne/private/work/AmasNancay/hdrfitsextractor.sh  $sourceRadio
 EOF
Index: /BAORadio/AmasNancay/trunk/submit2bqs-onoffmaker.sh
===================================================================
--- /BAORadio/AmasNancay/trunk/submit2bqs-onoffmaker.sh	(revision 575)
+++ /BAORadio/AmasNancay/trunk/submit2bqs-onoffmaker.sh	(revision 576)
@@ -40,5 +40,5 @@
 jobLogName="${jobBatchName}.log.$$"
 
-qsub -l u_sps_baoradio,u_irods,T=120000,M=1000MB,scratch=1000MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
+qsub -l u_sps_baoradio,u_irods,u_irods_baoradio,T=120000,M=1000MB,scratch=1000MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
 /afs/in2p3.fr/home/c/campagne/private/work/AmasNancay/onoffmaker.sh  -src ${sourceRadio} ${dateSelected} ${freqBAOCalib} ${simulationMode}
 EOF
Index: /BAORadio/AmasNancay/trunk/submit2bqs-procspecmfib.sh
===================================================================
--- /BAORadio/AmasNancay/trunk/submit2bqs-procspecmfib.sh	(revision 575)
+++ /BAORadio/AmasNancay/trunk/submit2bqs-procspecmfib.sh	(revision 576)
@@ -122,5 +122,5 @@
 cpu=`expr ${nFiles} \* 60 \* 50`
 
-qsub -l u_sps_baoradio,u_irods,T=${cpu},M=1000MB,scratch=${scratchSize}MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
+qsub -l u_sps_baoradio,u_irods,u_irods_baoradio,T=${cpu},M=1000MB,scratch=${scratchSize}MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
 /afs/in2p3.fr/home/c/campagne/private/work/AmasNancay/proc_specmfib.sh ${action} -src ${sourceRadio} ${dateSelected} ${typeofproc} ${firstCycle} ${lastCycle} ${simulationMode}
 EOF
Index: /BAORadio/AmasNancay/trunk/submit2bqs-scaextractor.sh
===================================================================
--- /BAORadio/AmasNancay/trunk/submit2bqs-scaextractor.sh	(revision 575)
+++ /BAORadio/AmasNancay/trunk/submit2bqs-scaextractor.sh	(revision 576)
@@ -19,8 +19,10 @@
 #Process cmd line args: the -src option is mandatory (source name as Abell85)
 sourceRadio=
+force=
 while [ $# -gt 0 ]
 do
   case "$1" in
       -src)  sourceRadio=$2; shift;;
+      -force) force="Yes";;
 	-h)
 	    echo >&2 \
@@ -52,13 +54,4 @@
     $ECHO "FATAL (${scriptName}): ${OUT1} has a problem"
     exit 1
-#    $ECHO "We should bring the DAQ status more up to date, this take 1 or 2sec..."
-#    $RM -f ${tmppublicpath}/statusdaq.finished
-#    ${scriptpath}/statusdaq.sh > ${OUT1}
-#    while [ ! -f "${tmppublicpath}/statusdaq.finished" ]; do
-#	sleep 30
-#    done
-#    $RM ${tmppublicpath}/statusdaq.finished
-#protect against remove/rewriting    
-#    $CHMOD -v 444 ${OUT1} 
 fi
 
@@ -66,5 +59,5 @@
 jobLogName="${jobBatchName}.log.$$"
 
-qsub -l u_sps_baoradio,u_irods,T=100000,M=256MB,scratch=700MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
-/afs/in2p3.fr/home/c/campagne/private/work/AmasNancay/scaextractor.sh  $sourceRadio
+qsub -l u_sps_baoradio,u_irods,u_irods_baoradio,T=100000,M=256MB,scratch=700MB,platform=LINUX -eo -o $jobLogName -N $jobBatchName -mb -me -mu ${LOGNAME}@lal.in2p3.fr <<EOF
+/afs/in2p3.fr/home/c/campagne/private/work/AmasNancay/scaextractor.sh  ${sourceRadio} ${force}
 EOF